toolzerhub API Docs

Get product details (v1)

Get a Taobao or Tmall item's price, ship-from city, seller ratings, review summary and newest review. An unknown item_id returns data: null.

1 credit / requestBilled only on success
GET
/v1/taobao/product

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

item_id*string

Item ID from items[].item_id, or a Taobao or Tmall item URL such as https://detail.tmall.com/item.htm?id=1079352038299.

Length6 <= length <= 2000
curl -X GET "https://example.com/v1/taobao/product?item_id=1079352038299" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "item_id": "string",    "url": "string",    "platform": "taobao",    "title": "爱国者蓝牙耳机半入耳...",    "title_truncated": true,    "category_id": "string",    "root_category_id": "string",    "category_path": [      {        "category_id": "50005050",        "name": "蓝牙耳机"      }    ],    "images": [      "string"    ],    "location": "广东深圳",    "price": 118,    "original_price": 0,    "currency": "CNY",    "has_price_range": true,    "free_shipping": true,    "area_limit": true,    "payment_methods": [      "string"    ],    "shop": {      "shop_id": "string",      "shop_name": "string",      "seller_id": "string",      "seller_type": "B",      "credit_level": 0,      "opened_at": "2015-03-24 20:21:18",      "item_count": 0,      "new_item_count": 0,      "logo": "string",      "url": "string",      "ratings": [        {          "type": "string",          "title": "string",          "score": 4.8,          "vs_category": 0        }      ]    },    "reviews": {      "total_label": "2000+",      "positive_rate": 98,      "neutral_rate": 0,      "negative_rate": 0,      "highlights": [        {          "tag": "string",          "mentions": 0        }      ],      "latest": [        {          "rating": 5,          "content": "string",          "posted_at": "2026-10-16T16:15:00+08:00",          "variant": "string",          "author": "***",          "author_avatar": "string",          "videos": [            {              "url": "string",              "cover": "string"            }          ]        }      ]    }  },  "details": {    "reason": "string",    "message": "string"  }}